You are not logged in.

#1 2020-03-19 18:43:14

hoschi
Member
From: Ulm (Germany)
Registered: 2008-11-03
Posts: 409

[Solved] Can qt5-base, qt5-declarative and qt5-wayland be removed?

Hello!

Due to this fixed issue pacman installed qt5-base, qt5-declarative and qt5-wayland on my system. I assumed therefore, that a pacman -Qdt will list this packages, which I can subsequently remove with pacman -Rns package_names. But the qt5-packages are not listed.

$ pactree -r qt5-base
qt5-base
└─qt5-declarative
  └─qt5-wayland
$ pactree -r qt5-declarative
qt5-declarative
└─qt5-wayland
$ pactree -r qt5-wayland
qt5-wayland
$ pacman -Qi qt5-wayland
Name            : qt5-wayland
Version         : 5.14.1-1
Description     : Provides APIs for Wayland
Architecture    : x86_64
URL             : https://www.qt.io
Licenses        : GPL3  LGPL3  FDL  custom
Groups          : qt  qt5
Provides        : None
Depends On      : qt5-declarative  libxcomposite
Optional Deps   : None
Required By     : None
Optional For    : qt5-base
Conflicts With  : None
Replaces        : None
Installed Size  : 6.16 MiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Mon 27 Jan 2020 08:59:03 AM CET
Install Date    : Thu 30 Jan 2020 02:55:54 PM CET
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
$ pacman -Qi qt5-declarative 
Name            : qt5-declarative
Version         : 5.14.1-1
Description     : Classes for QML and JavaScript languages
Architecture    : x86_64
URL             : https://www.qt.io
Licenses        : GPL3  LGPL3  FDL  custom
Groups          : qt  qt5
Provides        : None
Depends On      : qt5-base
Optional Deps   : None
Required By     : qt5-wayland
Optional For    : None
Conflicts With  : qtchooser
Replaces        : None
Installed Size  : 22.70 MiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Mon 27 Jan 2020 07:32:52 AM CET
Install Date    : Thu 30 Jan 2020 02:55:54 PM CET
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
$ pacman -Qi qt5-base
Name            : qt5-base
Version         : 5.14.1-3
Description     : A cross-platform application and UI framework
Architecture    : x86_64
URL             : https://www.qt.io
Licenses        : GPL3  LGPL3  FDL  custom
Groups          : qt  qt5
Provides        : None
Depends On      : libjpeg-turbo  xcb-util-keysyms  xcb-util-renderutil  libgl  fontconfig  xdg-utils  shared-mime-info  xcb-util-wm  libxrender  libxi  sqlite
                  xcb-util-image  mesa  tslib  libinput  libxkbcommon-x11  libproxy  libcups  double-conversion  md4c
Optional Deps   : qt5-svg: to use SVG icon themes
                  qt5-wayland: to run Qt applications in a Wayland session [installed]
                  qt5-translations: for some native UI translations
                  postgresql-libs: PostgreSQL driver [installed]
                  mariadb-libs: MariaDB driver [installed]
                  unixodbc: ODBC driver
                  libfbclient: Firebird/iBase driver
                  freetds: MS SQL driver
                  gtk3: GTK platform plugin [installed]
                  perl: for fixqt4headers and syncqt [installed]
Required By     : qt5-declarative
Optional For    : avahi  graphviz  libde265  openal  pinentry  v4l-utils
Conflicts With  : qtchooser
Replaces        : None
Installed Size  : 63.92 MiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Thu 05 Mar 2020 03:25:36 PM CET
Install Date    : Thu 19 Mar 2020 11:31:55 AM CET
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
  • all are installed as dependency for another package, not explicit

  • qt5-wayland is optional for qt5-base

  • qt5-wayland dependes qt5-declarative

  • qt5-declarative depends wayland qt5-base

  • qt5-base optionally depends on qt5-wayland (cyclic dependency)

I presume that pacman cannot detect that cyclic dependencies. Am I right and can I remove them?

Thanks

Last edited by hoschi (2020-03-19 20:00:14)

Offline

#2 2020-03-19 18:49:54

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,673

Re: [Solved] Can qt5-base, qt5-declarative and qt5-wayland be removed?

Yes, you are right. Also, use pacman -Qdtt if you want to ignore optional dependencies.

Offline

#3 2020-03-19 18:54:14

hoschi
Member
From: Ulm (Germany)
Registered: 2008-11-03
Posts: 409

Re: [Solved] Can qt5-base, qt5-declarative and qt5-wayland be removed?

Thank you arojas smile

 -t, --unrequired
           Restrict or filter output to print only packages neither required nor optionally
           required by any currently installed package. Specify this option twice to include
           packages which are optionally, but not directly, required by another package.

I missed the good old "apply option multiple times" trick.

Offline

Board footer

Powered by FluxBB